using System;
using System.Linq;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using SmartX;
using INT99DC_7C.Forms;

namespace INT99DC_7C.Controls
{
    public partial class ControlMainDisplayTable12 : UserControl
    {
        #region Field
        private FormMainDisplay m_ParentForm;

        private Color WeightOverColor = Color.Red;
        private Color WeightStandardColor = Color.Black;
        private Color WeightUnderColor = Color.Red;

        private Collection<PictureBox> CollectionPictureBoxZero;
        private Collection<PictureBox> CollectionPictureBoxBypass;
        private Collection<SmartLabel> CollectionLabelWeightValue1;
        private Collection<SmartLabel> CollectionLabelWeightValue2;
        private Collection<SmartLabel> CollectionLabelWeightValue3;
        private Collection<SmartLabel> CollectionLabelWeightValue4;
        private Collection<SmartLabel> CollectionLabelWeightValue5;
        private Collection<SmartLabel> CollectionLabelWeightValue6;
        private Collection<SmartLabel> CollectionLabelWeightValue7;
        private Collection<SmartLabel> CollectionLabelWeightValue8;
        private Collection<SmartLabel> CollectionLabelWeightValue9;
        private Collection<SmartLabel> CollectionLabelWeightValue10;
        private Collection<SmartLabel> CollectionLabelWeightValue11;
        private Collection<SmartLabel> CollectionLabelWeightValue12;
        private Collection<WeightStorageItem> CollectionWeightStorageItem;
        #endregion

        #region Constructor
        public ControlMainDisplayTable12(FormMainDisplay parent)
        {
            InitializeComponent();

            this.ParentForm = parent;

            this.CreateCollection();
            this.InitializeControl();
        }
        #endregion

        #region Property
        public FormMainDisplay ParentForm
        {
            get { return this.m_ParentForm; }
            private set { this.m_ParentForm = value; }
        }
        #endregion

        #region Method
        private void CreateCollection()
        {
            // PictureBoxZero
            this.CollectionPictureBoxZero = new Collection<PictureBox>();
            this.CollectionPictureBoxZero.Clear();
            this.CollectionPictureBoxZero.Add(this.pictureBox1);
            this.CollectionPictureBoxZero.Add(this.pictureBox2);
            this.CollectionPictureBoxZero.Add(this.pictureBox3);
            this.CollectionPictureBoxZero.Add(this.pictureBox4);
            this.CollectionPictureBoxZero.Add(this.pictureBox5);
            this.CollectionPictureBoxZero.Add(this.pictureBox6);
            this.CollectionPictureBoxZero.Add(this.pictureBox7);
            this.CollectionPictureBoxZero.Add(this.pictureBox8);
            this.CollectionPictureBoxZero.Add(this.pictureBox9);
            this.CollectionPictureBoxZero.Add(this.pictureBox10);
            this.CollectionPictureBoxZero.Add(this.pictureBox11);
            this.CollectionPictureBoxZero.Add(this.pictureBox12);

            // PictureBoxBypass
            this.CollectionPictureBoxBypass = new Collection<PictureBox>();
            this.CollectionPictureBoxBypass.Clear();
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass1);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass2);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass3);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass4);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass5);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass6);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass7);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass8);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass9);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass10);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass11);
            this.CollectionPictureBoxBypass.Add(this.pictureBoxBypass12);

            // WeightStorage
            this.CollectionWeightStorageItem = new Collection<WeightStorageItem>();
            this.CollectionWeightStorageItem.Clear();
            for (int i = 0; i < 12; i++)
                this.CollectionWeightStorageItem.Add(new WeightStorageItem());

            #region Add Label
            this.CollectionLabelWeightValue1 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue1.Clear();
            this.CollectionLabelWeightValue1.Add(this.label1Col1Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col2Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col3Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col4Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col5Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col6Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col7Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col8Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col9Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col10Row);
            this.CollectionLabelWeightValue1.Add(this.label1Col5Avg);
            this.CollectionLabelWeightValue1.Add(this.label1AllAvg);

            this.CollectionLabelWeightValue2 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue2.Clear();
            this.CollectionLabelWeightValue2.Add(this.label2Col1Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col2Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col3Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col4Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col5Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col6Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col7Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col8Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col9Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col10Row);
            this.CollectionLabelWeightValue2.Add(this.label2Col5Avg);
            this.CollectionLabelWeightValue2.Add(this.label2AllAvg);

            this.CollectionLabelWeightValue3 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue3.Clear();
            this.CollectionLabelWeightValue3.Add(this.label3Col1Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col2Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col3Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col4Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col5Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col6Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col7Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col8Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col9Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col10Row);
            this.CollectionLabelWeightValue3.Add(this.label3Col5Avg);
            this.CollectionLabelWeightValue3.Add(this.label3AllAvg);

            this.CollectionLabelWeightValue4 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue4.Clear();
            this.CollectionLabelWeightValue4.Add(this.label4Col1Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col2Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col3Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col4Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col5Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col6Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col7Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col8Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col9Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col10Row);
            this.CollectionLabelWeightValue4.Add(this.label4Col5Avg);
            this.CollectionLabelWeightValue4.Add(this.label4AllAvg);

            this.CollectionLabelWeightValue5 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue5.Clear();
            this.CollectionLabelWeightValue5.Add(this.label5Col1Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col2Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col3Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col4Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col5Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col6Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col7Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col8Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col9Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col10Row);
            this.CollectionLabelWeightValue5.Add(this.label5Col5Avg);
            this.CollectionLabelWeightValue5.Add(this.label5AllAvg);

            this.CollectionLabelWeightValue6 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue6.Clear();
            this.CollectionLabelWeightValue6.Add(this.label6Col1Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col2Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col3Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col4Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col5Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col6Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col7Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col8Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col9Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col10Row);
            this.CollectionLabelWeightValue6.Add(this.label6Col5Avg);
            this.CollectionLabelWeightValue6.Add(this.label6AllAvg);

            this.CollectionLabelWeightValue7 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue7.Clear();
            this.CollectionLabelWeightValue7.Add(this.label7Col1Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col2Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col3Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col4Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col5Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col6Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col7Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col8Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col9Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col10Row);
            this.CollectionLabelWeightValue7.Add(this.label7Col5Avg);
            this.CollectionLabelWeightValue7.Add(this.label7AllAvg);

            this.CollectionLabelWeightValue8 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue8.Clear();
            this.CollectionLabelWeightValue8.Add(this.label8Col1Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col2Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col3Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col4Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col5Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col6Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col7Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col8Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col9Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col10Row);
            this.CollectionLabelWeightValue8.Add(this.label8Col5Avg);
            this.CollectionLabelWeightValue8.Add(this.label8AllAvg);

            this.CollectionLabelWeightValue9 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue9.Clear();
            this.CollectionLabelWeightValue9.Add(this.label9Col1Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col2Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col3Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col4Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col5Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col6Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col7Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col8Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col9Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col10Row);
            this.CollectionLabelWeightValue9.Add(this.label9Col5Avg);
            this.CollectionLabelWeightValue9.Add(this.label9AllAvg);

            this.CollectionLabelWeightValue10 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue10.Clear();
            this.CollectionLabelWeightValue10.Add(this.label10Col1Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col2Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col3Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col4Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col5Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col6Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col7Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col8Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col9Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col10Row);
            this.CollectionLabelWeightValue10.Add(this.label10Col5Avg);
            this.CollectionLabelWeightValue10.Add(this.label10AllAvg);

            this.CollectionLabelWeightValue11 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue11.Clear();
            this.CollectionLabelWeightValue11.Add(this.label11Col1Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col2Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col3Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col4Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col5Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col6Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col7Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col8Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col9Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col10Row);
            this.CollectionLabelWeightValue11.Add(this.label11Col5Avg);
            this.CollectionLabelWeightValue11.Add(this.label11AllAvg);

            this.CollectionLabelWeightValue12 = new Collection<SmartLabel>();
            this.CollectionLabelWeightValue12.Clear();
            this.CollectionLabelWeightValue12.Add(this.label12Col1Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col2Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col3Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col4Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col5Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col6Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col7Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col8Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col9Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col10Row);
            this.CollectionLabelWeightValue12.Add(this.label12Col5Avg);
            this.CollectionLabelWeightValue12.Add(this.label12AllAvg);
            #endregion
        }
        private void InitializeControl()
        {
            foreach (PictureBox picture in this.CollectionPictureBoxZero)
                picture.Visible = false;

            foreach (PictureBox picture in this.CollectionPictureBoxBypass)
                picture.Visible = false;

            for (int i = 0; i < 12; i++)
            {
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue1[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue2[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue3[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue4[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue5[i]);

                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue6[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue7[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue8[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue9[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue10[i]);

                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue11[i]);
                Helper.SetTableLabelProperty(this.CollectionLabelWeightValue12[i]);
            }

            this.UpdateLabelDisplay();
        }

        public void Clear()
        {
            foreach (WeightStorageItem weight in this.CollectionWeightStorageItem)
                weight.AllClear();

            this.UpdateLabelDisplay();
        }

        private void UpdateLabelDisplay()
        {
            this.UpdateLabelDisplayLane1();
            this.UpdateLabelDisplayLane2();
            this.UpdateLabelDisplayLane3();
            this.UpdateLabelDisplayLane4();
            this.UpdateLabelDisplayLane5();
            this.UpdateLabelDisplayLane6();
            this.UpdateLabelDisplayLane7();
            this.UpdateLabelDisplayLane8();
            this.UpdateLabelDisplayLane9();
            this.UpdateLabelDisplayLane10();
            this.UpdateLabelDisplayLane11();
            this.UpdateLabelDisplayLane12();
        }
        private void UpdateLabelDisplayLane1()
        {
            // Lane 1
            this.CollectionWeightStorageItem[0].SetQueueData();
            Helper.SetTableLabelValue(this.label1Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label1Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label1Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label1Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label1Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label1Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label1Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label1Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label1Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label1Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[0].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label1Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[0].WeightTenAverage());
            Helper.SetTableLabelValue(this.label1AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[0].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane2()
        {
            // Lane 2
            this.CollectionWeightStorageItem[1].SetQueueData();
            Helper.SetTableLabelValue(this.label2Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label2Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label2Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label2Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label2Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label2Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label2Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label2Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label2Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label2Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[1].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label2Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[1].WeightTenAverage());
            Helper.SetTableLabelValue(this.label2AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[1].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane3()
        {
            // Lane 3
            this.CollectionWeightStorageItem[2].SetQueueData();
            Helper.SetTableLabelValue(this.label3Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label3Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label3Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label3Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label3Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label3Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label3Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label3Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label3Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label3Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[2].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label3Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[2].WeightTenAverage());
            Helper.SetTableLabelValue(this.label3AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[2].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane4()
        {
            // Lane 4
            this.CollectionWeightStorageItem[3].SetQueueData();
            Helper.SetTableLabelValue(this.label4Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label4Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label4Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label4Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label4Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label4Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label4Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label4Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label4Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label4Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[3].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label4Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[3].WeightTenAverage());
            Helper.SetTableLabelValue(this.label4AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[3].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane5()
        {
            // Lane 5
            this.CollectionWeightStorageItem[4].SetQueueData();
            Helper.SetTableLabelValue(this.label5Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label5Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label5Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label5Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label5Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label5Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label5Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label5Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label5Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label5Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[4].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label5Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[4].WeightTenAverage());
            Helper.SetTableLabelValue(this.label5AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[4].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane6()
        {
            // Lane 6
            this.CollectionWeightStorageItem[5].SetQueueData();
            Helper.SetTableLabelValue(this.label6Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label6Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label6Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label6Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label6Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label6Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label6Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label6Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label6Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label6Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[5].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label6Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[5].WeightTenAverage());
            Helper.SetTableLabelValue(this.label6AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[5].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane7()
        {
            // Lane 7
            this.CollectionWeightStorageItem[6].SetQueueData();
            Helper.SetTableLabelValue(this.label7Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label7Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label7Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label7Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label7Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label7Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label7Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label7Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label7Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label7Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[6].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label7Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[6].WeightTenAverage());
            Helper.SetTableLabelValue(this.label7AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[6].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane8()
        {
            // Lane 8
            this.CollectionWeightStorageItem[7].SetQueueData();
            Helper.SetTableLabelValue(this.label8Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label8Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label8Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label8Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label8Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label8Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label8Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label8Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label8Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label8Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[7].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label8Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[7].WeightTenAverage());
            Helper.SetTableLabelValue(this.label8AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[7].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane9()
        {
            // Lane 9
            this.CollectionWeightStorageItem[8].SetQueueData();
            Helper.SetTableLabelValue(this.label9Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label9Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label9Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label9Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label9Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label9Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label9Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label9Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label9Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label9Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[8].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label9Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[8].WeightTenAverage());
            Helper.SetTableLabelValue(this.label9AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[8].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane10()
        {
            // Lane 10
            this.CollectionWeightStorageItem[9].SetQueueData();
            Helper.SetTableLabelValue(this.label10Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label10Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label10Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label10Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label10Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label10Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label10Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label10Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label10Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label10Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[9].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label10Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[9].WeightTenAverage());
            Helper.SetTableLabelValue(this.label10AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[9].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane11()
        {
            // Lane 11
            this.CollectionWeightStorageItem[10].SetQueueData();
            Helper.SetTableLabelValue(this.label11Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label11Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label11Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label11Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label11Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label11Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label11Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label11Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label11Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label11Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[10].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label11Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[10].WeightTenAverage());
            Helper.SetTableLabelValue(this.label11AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[10].WeightTotalAverage());
        }
        private void UpdateLabelDisplayLane12()
        {
            // Lane 12
            this.CollectionWeightStorageItem[11].SetQueueData();
            Helper.SetTableLabelValue(this.label12Col1Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[0]);
            Helper.SetTableLabelValue(this.label12Col2Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[1]);
            Helper.SetTableLabelValue(this.label12Col3Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[2]);
            Helper.SetTableLabelValue(this.label12Col4Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[3]);
            Helper.SetTableLabelValue(this.label12Col5Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[4]);
            Helper.SetTableLabelValue(this.label12Col6Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[5]);
            Helper.SetTableLabelValue(this.label12Col7Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[6]);
            Helper.SetTableLabelValue(this.label12Col8Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[7]);
            Helper.SetTableLabelValue(this.label12Col9Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[8]);
            Helper.SetTableLabelValue(this.label12Col10Row, this.ParentForm.ParentForm.SystemConfig, this.CollectionWeightStorageItem[11].C_StorageItem[9]);

            Helper.SetTableLabelValue(this.label12Col5Avg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[11].WeightTenAverage());
            Helper.SetTableLabelValue(this.label12AllAvg, this.ParentForm.ParentForm.CurrentProductItem, this.ParentForm.ParentForm.SystemConfig,
                this.CollectionWeightStorageItem[11].WeightTotalAverage());
        }

        public void UpdateEquipmentStatusDisplay(DataStore.EquipmentStatus status)
        {
        }
        public void UpdateCurrentProductDisplay(DataStore.EquipmentStatus status, Collection<WeightData> weightDatas)
        {
            // 초기화
        }
        public void UpdateBypassDisplay(Collection<WeightData> weightData)
        {
            for (int i = 0; i < this.CollectionPictureBoxBypass.Count; i++)
            {
                if (weightData[i].IsBypassMode == true)
                    this.CollectionPictureBoxBypass[i].Visible = true;
                else
                    this.CollectionPictureBoxBypass[i].Visible = false;
            }
        }
        public void UpdateStopWeightDisplay(DataStore.EquipmentStatus status, Collection<WeightData> weightDatas)
        {
            string value = "";

            if (this.ParentForm.ParentForm.SystemConfig.EquipmentColumns > weightDatas.Count)
                return;

            if (status == DataStore.EquipmentStatus.Stop)
            {
                for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EquipmentColumns; i++)
                {
                    // 영점표시
                    if (weightDatas[i].Status == DataStore.WeightStatus.WeightZero)
                        this.CollectionPictureBoxZero[i].Visible = true;
                    else
                        this.CollectionPictureBoxZero[i].Visible = false;
                }
            }
            else
            {
                for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EquipmentColumns; i++)
                {
                    // 영점표시
                    if (weightDatas[i].Status == DataStore.WeightStatus.WeightZero)
                        this.CollectionPictureBoxZero[i].Visible = true;
                    else
                        this.CollectionPictureBoxZero[i].Visible = false;
                }
            }
        }
        public void UpdateStartWeightDisplay(DataStore.EquipmentStatus status, Collection<WeightData> weightDatas)
        {
            this.UpdateStartWeightDisplay1(status, weightDatas[0]);
            this.UpdateStartWeightDisplay2(status, weightDatas[1]);
            this.UpdateStartWeightDisplay3(status, weightDatas[2]);
            this.UpdateStartWeightDisplay4(status, weightDatas[3]);
            this.UpdateStartWeightDisplay5(status, weightDatas[4]);
            this.UpdateStartWeightDisplay6(status, weightDatas[5]);
            this.UpdateStartWeightDisplay7(status, weightDatas[6]);
            this.UpdateStartWeightDisplay8(status, weightDatas[7]);
            this.UpdateStartWeightDisplay9(status, weightDatas[8]);
            this.UpdateStartWeightDisplay10(status, weightDatas[9]);
            this.UpdateStartWeightDisplay11(status, weightDatas[10]);
            this.UpdateStartWeightDisplay12(status, weightDatas[11]);
        }
        public void UpdateStartWeightDisplay1(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[0].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane1();
        }
        public void UpdateStartWeightDisplay2(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[1].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane2();
        }
        public void UpdateStartWeightDisplay3(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[2].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane3();
        }
        public void UpdateStartWeightDisplay4(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[3].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane4();
        }
        public void UpdateStartWeightDisplay5(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[4].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane5();
        }
        public void UpdateStartWeightDisplay6(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[5].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane6();
        }
        public void UpdateStartWeightDisplay7(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[6].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane7();
        }
        public void UpdateStartWeightDisplay8(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[7].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane8();
        }
        public void UpdateStartWeightDisplay9(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[8].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane9();
        }
        public void UpdateStartWeightDisplay10(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[9].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane10();
        }
        public void UpdateStartWeightDisplay11(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[10].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane11();
        }
        public void UpdateStartWeightDisplay12(DataStore.EquipmentStatus status, WeightData weightData)
        {
            bool empty = false;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.None)
                return;

            if (weightData.JudgmentStatus == DataStore.JudgmentStatus.Empty)
                empty = true;

            this.CollectionWeightStorageItem[11].SetValue(weightData.Weight, empty, weightData.JudgmentStatus);

            this.UpdateLabelDisplayLane12();
        }
        #endregion
    }
}
